/**
 *
 */
package com.ims.eval.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.ims.core.entity.DataEntity;

import java.util.Date;

/**
 * 指标字典表Entity
 * @author wang
 * @version 2023-02-25
 */
public class IndicatorDictionary extends DataEntity<IndicatorDictionary> {

	private static final long serialVersionUID = 1L;
	private String indicatorId;		// 指标ID
	private String optionCode;		// 选项编码
	private String optionName;		// 选项名称
	private Integer optionOrder;		// 选项顺序
	private String des;		// 描述
	private Date createTime;		// 创建时间
	private Date updateTime;		// 更新时间


	public IndicatorDictionary() {
		super();
	}

	public IndicatorDictionary(String id){
		super(id);
	}

	public String getIndicatorId() {
		return indicatorId;
	}

	public void setIndicatorId(String indicatorId) {
		this.indicatorId = indicatorId;
	}
	public String getOptionCode() {
		return optionCode;
	}

	public void setOptionCode(String optionCode) {
		this.optionCode = optionCode;
	}
	public String getOptionName() {
		return optionName;
	}

	public void setOptionName(String optionName) {
		this.optionName = optionName;
	}
	public Integer getOptionOrder() {
		return optionOrder;
	}

	public void setOptionOrder(Integer optionOrder) {
		this.optionOrder = optionOrder;
	}
	public String getDes() {
		return des;
	}

	public void setDes(String des) {
		this.des = des;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

}
