/**
 *
 */
package com.ims.eval.service.impl;

import java.util.List;
import com.ims.core.utils.IdGen;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.ims.core.persistence.Page;
import com.ims.core.service.impl.CrudServiceImpl;

import com.ims.eval.service.IDeptResponsibilityTargetService;

import com.ims.eval.entity.DeptResponsibilityTarget;
import com.ims.eval.dao.DeptResponsibilityTargetDao;


/**
 * 目标责任书指标Service
 * @author wang
 * @version 2023-02-23
 */
@Service
@Transactional(readOnly = true)
public class DeptResponsibilityTargetServiceImpl extends CrudServiceImpl<DeptResponsibilityTargetDao, DeptResponsibilityTarget> implements IDeptResponsibilityTargetService{

 	public DeptResponsibilityTarget get(DeptResponsibilityTarget deptResponsibilityTarget) {
		return super.get(deptResponsibilityTarget);
	}

    public List<DeptResponsibilityTarget> findList(DeptResponsibilityTarget deptResponsibilityTarget) {
        return super.findList(deptResponsibilityTarget);
    }

	public List<DeptResponsibilityTarget> findAllListM(DeptResponsibilityTarget deptResponsibilityTarget,String dataFilter,String baseFilter,String key,String baseQuery,String specQuery) {
	 	return super.findAllListM(deptResponsibilityTarget,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public Page<DeptResponsibilityTarget> findPageM(Page<DeptResponsibilityTarget> page, DeptResponsibilityTarget deptResponsibilityTarget,String dataFilter,String baseFilter,String key,String baseQuery,String specQuery) {
		return super.findPageM(page, deptResponsibilityTarget,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public DeptResponsibilityTarget initInsert(DeptResponsibilityTarget deptResponsibilityTarget)  {
		return super.initInsert(deptResponsibilityTarget);
	}

	@Transactional(readOnly = false)
	public void checkSave(DeptResponsibilityTarget deptResponsibilityTarget) {
		super.checkSave(deptResponsibilityTarget);
	}

	@Transactional(readOnly = false)
	public DeptResponsibilityTarget save(DeptResponsibilityTarget deptResponsibilityTarget, boolean isNewRecord){
	    if(isNewRecord){
	        deptResponsibilityTarget.setId(IdGen.uuid());
	    }
		return super.save(deptResponsibilityTarget,isNewRecord);
	}

    @Transactional(readOnly = false)
    @Override
    public void insertList(List<DeptResponsibilityTarget> list){
        super.insertList(list);
    }

	@Transactional(readOnly = false)
	public void checkRemove(DeptResponsibilityTarget deptResponsibilityTarget,String baseFilter){
		super.checkRemove(deptResponsibilityTarget,baseFilter);
	}

	@Transactional(readOnly = false)
	public void delete(DeptResponsibilityTarget deptResponsibilityTarget,String baseFilter) {
		super.delete(deptResponsibilityTarget,baseFilter);
	}
}