/**
 *
 */
package com.ims.eval.service.impl;

import com.ims.core.persistence.Page;
import com.ims.core.service.impl.CrudServiceImpl;
import com.ims.core.utils.IdGen;
import com.ims.eval.dao.IndicatorDictionaryDao;
import com.ims.eval.entity.IndicatorDictionary;
import com.ims.eval.service.IIndicatorDictionaryService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
 * 指标字典表Service
 * @author song
 * @version 2023-02-22
 */
@Service
@Transactional(readOnly = true)
public class IndicatorDictionaryServiceImpl extends CrudServiceImpl<IndicatorDictionaryDao, IndicatorDictionary> implements IIndicatorDictionaryService{

 	public IndicatorDictionary get(IndicatorDictionary indicatorDictionary) {
		return super.get(indicatorDictionary);
	}

    public List<IndicatorDictionary> findList(IndicatorDictionary indicatorDictionary) {
        return super.findList(indicatorDictionary);
    }

	public List<IndicatorDictionary> findAllListM(IndicatorDictionary indicatorDictionary,String dataFilter,String baseFilter,String key,String baseQuery,String specQuery) {
	 	return super.findAllListM(indicatorDictionary,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public Page<IndicatorDictionary> findPageM(Page<IndicatorDictionary> page, IndicatorDictionary indicatorDictionary,String dataFilter,String baseFilter,String key,String baseQuery,String specQuery) {
		return super.findPageM(page, indicatorDictionary,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public IndicatorDictionary initInsert(IndicatorDictionary indicatorDictionary)  {
		return super.initInsert(indicatorDictionary);
	}

	@Transactional(readOnly = false)
	public void checkSave(IndicatorDictionary indicatorDictionary) {
		super.checkSave(indicatorDictionary);
	}

	@Transactional(readOnly = false)
	public IndicatorDictionary save(IndicatorDictionary indicatorDictionary, boolean isNewRecord){
	    if(isNewRecord){
	        indicatorDictionary.setId(IdGen.uuid());
	    }
		return super.save(indicatorDictionary,isNewRecord);
	}

    @Transactional(readOnly = false)
    @Override
    public void insertList(List<IndicatorDictionary> list){
        super.insertList(list);
    }

	@Transactional(readOnly = false)
	public void checkRemove(IndicatorDictionary indicatorDictionary,String baseFilter){
		super.checkRemove(indicatorDictionary,baseFilter);
	}

	@Transactional(readOnly = false)
	public void delete(IndicatorDictionary indicatorDictionary,String baseFilter) {
		super.delete(indicatorDictionary,baseFilter);
	}
}
